Subject: RE: Problems with CPAN
From: "Tony Arnold" <[email-masked]>
To: <[email-masked]>
Date: Wed, 31 Jul 2002 09:40:46 +0100

Turns out that this problem was due to incorrect permissions and
ownership of files in /usr/bin. The perl binary was owned by
administrator and had permission of 700. I changed this to 755 and
everything worked. Curiusly, I could still run perl from a bash prompt,
but the MakeMaker module in Perl could not execute it. I guess this is
perl internally only looking at cygwin permissions, but somehow bash
looks at the NT permissions.

Regards,
Tony.

> I ran cpan suggested and it immediately told me there was a 
> new version available and how to install it, so from the cpan 
> prompt, I typed:
> 
> 	install Bundle::CPAN
> 
> Part way through it said it could not find a Perl 5 with the following
> message:
> 
> Unable to find a perl 5 (by these names: /usr/bin/perl 
> miniperl perl perl5 perl5.6.1, in these dirs: /usr/local/bin 
> /usr/local/bin /usr/bin /bin /usr/X11R6/bin 
> /cygdrive/c/WINNT/system32 /cygdrive/c/WINNT 
> /cygdrive/c/WINNT/system32/WBEM /cygdrive/c/Perl/bin/ 
> /usr/bin /cygdrive/c/PROGRA~1/IBM/AFS/DOCUME~1
> /cygdrive/c/PROGRA~1/IBM/AFS/Common /cygdrive/c/Program 
> Files/Network Associates/PGPcmdln 
> /cygdrive/c/Progra~1/Hummingbird/Connectivity/7.00/Exceed
> /cygdrive/c/PROGRA~1/IBM/AFS/Client/Program
> /cygdrive/c/PROGRA~1/IBM/AFS/CONTRO~1 Z . Y . /usr/bin)
> 
> Even though perl is installed. Perl -v gives:
> 
> This is perl, v5.6.1 built for cygwin-multi
> 
> Copyright 1987-2001, Larry Wall
> 
> Perl may be copied only under the terms of either the 
> Artistic License or the GNU General Public License, which may 
> be found in the Perl 5 source kit.
> 
> Complete documentation for Perl, including FAQ lists, should 
> be found on this system using `man perl' or `perldoc perl'.  
> If you have access to the Internet, point your browser at 
http://www.perl.com/, the Perl Home Page.

I tried renaming perl.exe to just perl, but this did not help.

Any ideas?

Regards,
Tony.
-- 
Tony Arnold, Deputy to the Head of COS Division, Manchester Computing,
University of Manchester, Oxford Road, Manchester M13 9PL.
T: +44 (0)161 275 6093, F: +44 (0)870 136 1004, M: +44 (0)773 330 0039
E-mail: [email-masked], Home: http://www.man.ac.uk/Tony.Arnold

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/